﻿.h2_wrap {
  margin: 0 0 25px;
  border: 1px solid #ddd;
  border-radius: 0 0 5px 5px;
}
.h2_wrap h2 {
  font-size: 1.8rem;
  background-color: #79bfd9;
  color: #fff;
  padding: 5px 10px;
  line-height: 28px;
  margin: 0;
}
.h2_wrap .half_circle {
  background-color: #79bfd9;
  height: 20px;
  width: 40px;
  border-radius: 0 0 40px 40px;
  margin: 0 0 0 10px;
}
.h2_wrap .h2_body {
  padding: 25px;
}
.h2_wrap .h2_body > .column_wrap {
  display: flex;
  justify-content: space-between;
  margin: 0 0 25px;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .rise_set_time_wrap > div {
  margin: 0 0 15px;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .rise_set_time_wrap > div > p {
  font-size: 2rem;
  text-decoration: underline;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .rise_set_time_wrap > div > div > span {
  font-size: 3.2rem;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .time_difference_wrap fieldset {
  border: 1px solid #ddd;
  background-color: #fafafa;
  width: 250px;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .time_difference_wrap fieldset legend {
  font-size: 1.8rem;
  padding: 0 15px;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .time_difference_wrap fieldset ul li {
  font-size: 1.4rem;
  line-height: 2.2rem;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .time_difference_wrap fieldset ul li:nth-of-type(1) {
  font-size: 2.2rem;
  line-height: 3.8rem;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .time_difference_wrap fieldset ul li.introducing_summer_time {
  display: none;
  padding: 5px 10px;
  font-size: 1.2rem;
  border: 1px solid #ddd;
  border-radius: 3px;
  border-color: #ddd;
  background-color: #eee;
  color: #ccc;
}
.h2_wrap .h2_body > .column_wrap .left_wrap .time_difference_wrap fieldset ul li.enable {
  background-color: deepskyblue;
  border: 1px solid deepskyblue;
  color: #fff;
}
.h2_wrap .h2_body > .column_wrap .right_wrap {
  width: 300px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap {
  box-sizing: border-box;
  width: 300px;
  padding: 15px 10px;
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.2);
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap#sun_calendar {
  min-height: 339px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap#moon_calendar {
  min-height: 464px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(1) {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 0 0 15px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(1) > span {
  display: inline-block;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(1) > span:nth-of-type(1), .h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(1) > span:nth-of-type(3) {
  border: 1px solid #eee;
  padding: 5px 10px;
  cursor: pointer;
  font-weight: bold;
  font-size: 18px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(1) > span:nth-of-type(2) {
  font-size: 18px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(2) > ul {
  display: flex;
  justify-content: center;
  margin: 0 0 10px;
  padding: 0 0 10px;
  border: 1px solid #efefff;
  border-width: 0 0 1px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(2) > ul.over_three_chars {
  font-size: 1.4rem;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(2) > ul > li {
  width: 40px;
  text-align: center;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .header > div:nth-of-type(2) > ul > li.sunday {
  color: #ff1d25;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul {
  display: flex;
  flex-wrap: wrap;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul > li {
  margin: 0 0 5px;
  padding: 5px 0;
  width: 38px;
  text-align: center;
  cursor: pointer;
  border: 1px solid #fff;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul > li:hover, .h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul > li.selected {
  background-color: #ffc7ce;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul > li.today {
  border: 1px solid red;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul > li > span {
  width: 25px;
  height: 25px;
  display: block;
  margin: 0 auto;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .body > ul > li > span:nth-of-type(2) {
  background-color: #000;
  background-image: url("/Areas/Lang/Images/moon_images.svg");
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .calendar_footer {
  border: 1px dashed #ccc;
  border-width: 1px 0 0;
  padding: 10px 0 0;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .calendar_footer > div.options_wrap > ul {
  display: flex;
  gap: 10px;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .calendar_footer > div.options_wrap > ul > li > span {
  font-size: 1.1rem;
  padding: 2px 5px;
  display: inline-block;
  cursor: pointer;
  border-radius: 5px;
  background-color: #eee;
}
.h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .calendar_footer > div.options_wrap > ul > li > span.active, .h2_wrap .h2_body > .column_wrap .right_wrap .calendar_wrap .calendar_footer > div.options_wrap > ul > li > span:hover {
  background-color: #76faee;
}
.h2_wrap .h2_body > .chart_wrap {
  margin: 0 0 25px;
}
.h2_wrap .h2_body > .chart_wrap > p {
  text-align: center;
  font-size: 1.8rem;
  margin: 0 0 5px;
}
.h2_wrap .h2_body > .chart_wrap > div {
  height: 196px;
}
.h2_wrap .h2_body > .map_canvas_wrap > div {
  height: 300px;
  background-color: #eee;
}
.h2_wrap .h2_body .to_map_button_wrap {
  text-align: right;
  margin: 15px 10px 0 0;
}
.h2_wrap .h2_body .to_map_button_wrap span {
  margin: 0 5px 0 0;
  color: #888;
}
.other_cities_wrap > ul {
  width: 970px;
  margin: 0 0 15px 15px;
  display: flex;
  flex-wrap: wrap;
}
.other_cities_wrap > ul > li > p {
  margin: 0 15px 10px 0;
}
.other_cities_wrap > ul > li > p > a:visited {
  color: #551a8b;
}
.tab_wrap {
  display: flex;
  margin: 0;
}
.tab_wrap .tab {
  display: block;
  flex: 1;
  text-align: center;
  padding: 15px;
  font-size: 1.6rem;
  line-height: 2.4rem;
  text-decoration: none;
  border: none;
}
.tab_wrap .tab:first-child {
  border-radius: 5px 5px 0 0;
  background-color: rgba(246, 232, 44, 0.3);
  color: #999;
  font-weight: bold;
}
.tab_wrap .tab:first-child.active {
  background-color: #f6e82c;
  color: #000;
  cursor: default;
}
.tab_wrap .tab:first-child:not(.active):hover {
  background-color: #f6e82c;
  color: #000;
}
.tab_wrap .tab:last-child {
  border-radius: 5px 5px 0 0;
  background-color: rgba(66, 69, 152, 0.3);
  color: #888;
  font-weight: bold;
}
.tab_wrap .tab:last-child.active {
  background-color: #424598;
  color: #fff;
  cursor: default;
}
.tab_wrap .tab:last-child:not(.active):hover {
  background-color: #424598;
  color: #fff;
}
